{% extends "base.html" %}
{% block content %}


<script src="/static/dataTables/1.10.20/jquery.dataTables.min.js"></script>
<script src="/static/dataTables/1.10.20/dataTables.bootstrap4.min.js"></script>
<link rel="stylesheet" type="text/css" href="/static/dataTables/1.10.20/dataTables.bootstrap4.min.css">

<div class="container">
<div class="row">
    <div class="col-md-12">

    <div class="title_1 delimited">
        {%trans%}All forms{%endtrans%}
        <div style="float:right">
            <a class="btn btn-primary btn-sm" role="button" href="/site/stats">
                {%trans%}Statistics{%endtrans%}<i class="fa fa-bar-chart" aria-hidden="true"></i>
            </a>
        </div>
    </div>

    <table id="forms" style="display:none" class="table table-striped table-sm">
        <thead>
        <tr>
            <th>{%trans%}Name{%endtrans%}</th>
            <th>{%trans%}Created{%endtrans%}</th>
            <th>{%trans%}Author{%endtrans%}</th>
            <th>{%trans%}Public{%endtrans%}</th>
            <th>{%trans%}Last entry{%endtrans%}</th>
            <th>{%trans%}Entries{%endtrans%}</th>
            {% if g.is_root_user_enabled %}
                <th>{%trans%}Hostname{%endtrans%}</th>
            {% endif %}
        </tr>
    </thead>
    {% for form in forms %}
        {% set author = form.get_author() %}
        <tr>
            <td><a href="/forms/view/{{form.id}}">{{form.slug}}</a></td>
            <td>{{form.created}}</td>
            <td><a href="/admin/users/{{author.id}}">{{author.username}}</a></td>
            <td>{{form.is_public()}}</td>
            <td>{{form.get_last_entry_date()}}</td>
            <td>{{form.get_entries().count()}}</td>
            {% if g.is_root_user_enabled %}
                <td>{{form.hostname}}</td>
            {% endif %}
        </tr>
    {% endfor %}
    </table>

    </div>
</div>
</div>

<script>
$(document).ready(function() {
    $('#forms').DataTable({
        "language": {
            "url": "/static/dataTables-languages/{{g.current_user.language}}.js"
        },
        "initComplete": function(settings, json) {
            $("#forms").show();
        },
        "order": [[4, 'desc']]
    });
} );
</script>
  
{% endblock %}
